## org.apache.taglibs.standard.extra.spath
Class AbsolutePath

    java.lang.Object
      org.apache.taglibs.standard.extra.spath.Path
          org.apache.taglibs.standard.extra.spath.AbsolutePath

    public class AbsolutePath

extends Path

Represents an absolute SPath expression. Essentially a marker class.

Author:
  Shawn Bayern

Constructor Summary
`AbsolutePath(RelativePath base)` Constructs a new AbsolutePath object based on a RelativePath.

Method Summary
`List` `getSteps()` Retrives an ordered list of Step objects representing this expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbsolutePath

    public AbsolutePath(RelativePath base)

  Constructs a new AbsolutePath object based on a RelativePath. An absolute path is the same as a relative path, except that it begins with '/' or '//' (which one, of those two, can be determined by the first Step returned from getSteps()).

Method Detail

### getSteps

    public List getSteps()

  Description copied from class: `Path`
  Retrives an ordered list of Step objects representing this expression. The result is safely modifiable by the caller and must support List.add(Object) and List.add(int, Object).

  Specified by:
    `getSteps` in class `Path`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.